package com.ss.android.ugc.aweme.services.story;

import X.2Pr;
import X.6jU;
import X.LsC;
import X.Ois;
import android.content.Context;
import android.graphics.Bitmap;
import com.bytedance.covode.number.Covode;

public interface IStoryPublishService {
    static {
        Covode.recordClassIndex(105447);
    }

    boolean addCallback(String str, 6jU r2);

    void addPublishAnimateListener(IStoryPublishAnimateListener iStoryPublishAnimateListener);

    void getCover(String str, StoryCoverExtractConfig storyCoverExtractConfig, LsC<? super Bitmap, 2Pr> lsC);

    Ois getState(String str);

    boolean isPostStoryEnable();

    boolean isPublishing(Context context);

    boolean isStoryPublishing();

    boolean removeCallback(String str, 6jU r2);

    void removePublishAnimateListener(IStoryPublishAnimateListener iStoryPublishAnimateListener);

    void removePublishTask(String str);

    boolean retryPublish(String str);
}
